ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 1535 by gezelter, Wed Oct 6 21:22:43 2004 UTC vs.
Revision 2199 by gezelter, Thu Apr 14 21:41:56 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 866 | Line 870 | Optional Features:
870    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-debug          Compile OOPSE in debug mode
873 +  --enable-doxygen        enable documentation generation with doxygen (auto)
874 +  --enable-dot            use 'dot' to generate graphs in doxygen (auto)
875 +  --enable-html-docs      enable HTML generation with doxygen (yes)
876 +  --enable-latex-docs     enable LaTeX documentation generation with doxygen (no)
877    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
878  
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-perl-shebang     override what perl thinks is the way for the kernel
883 +                          to start it (seldom needed)
884    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
885 <  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
876 <                          [default=/usr/local]
877 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
885 >  --with-cgal-makefile=FILE  CGAL makefile that should be used
886  
887   Some influential environment variables:
888    CC          C compiler command
# Line 888 | Line 896 | Some influential environment variables:
896    F90         Fortran 90 compiler command
897    F90FLAGS    Fortran 90 compiler flags
898    CPP         C preprocessor
899 +  CXXCPP      C++ preprocessor
900  
901   Use these variables to override the choices made by `configure' or to help
902   it to find libraries and programs with nonstandard names/locations.
# Line 1820 | Line 1829 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1829   # Figure out how the Fortran 90 compiler constructs module file names
1830   #
1831   # AC_F90_MODULE_NAMES
1832 +
1833 +
1834 +
1835  
1836  
1837  
# Line 1870 | Line 1882 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1882  
1883  
1884  
1885 + #
1886 + #
1887 + #
1888  
1889  
1890  
# Line 3535 | Line 3550 | F90FLAGS="$F90FLAGS $ac_verb"
3550   ac_save_F90FLAGS=$F90FLAGS
3551   F90FLAGS="$F90FLAGS $ac_verb"
3552  
3553 < (eval echo $as_me:3538: \"$ac_link\") >&5
3553 > (eval echo $as_me:3553: \"$ac_link\") >&5
3554   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3555   echo "$ac_f90_v_output" >&5
3556   F90FLAGS=$ac_save_F90FLAGS
# Line 3612 | Line 3627 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3627   ac_save_F90FLAGS=$F90FLAGS
3628   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3629  
3630 < (eval echo $as_me:3615: \"$ac_link\") >&5
3630 > (eval echo $as_me:3630: \"$ac_link\") >&5
3631   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3632   echo "$ac_f90_v_output" >&5
3633   F90FLAGS=$ac_save_F90FLAGS
# Line 4931 | Line 4946 | _ACEOF
4946   if test `eval echo '${'$as_ac_Header'}'` = yes; then
4947    cat >>confdefs.h <<_ACEOF
4948   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4949 + _ACEOF
4950 +
4951 + fi
4952 +
4953 + done
4954 +
4955 +
4956 +
4957 +
4958 +
4959 +
4960 +
4961 +
4962 +
4963 +
4964 +
4965 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4966 + do
4967 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4968 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4969 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4970 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4971 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4972 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4973 + fi
4974 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4975 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4976 + else
4977 +  # Is the header compilable?
4978 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4979 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4980 + cat >conftest.$ac_ext <<_ACEOF
4981 + /* confdefs.h.  */
4982 + _ACEOF
4983 + cat confdefs.h >>conftest.$ac_ext
4984 + cat >>conftest.$ac_ext <<_ACEOF
4985 + /* end confdefs.h.  */
4986 + $ac_includes_default
4987 + #include <$ac_header>
4988 + _ACEOF
4989 + rm -f conftest.$ac_objext
4990 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4991 +  (eval $ac_compile) 2>conftest.er1
4992 +  ac_status=$?
4993 +  grep -v '^ *+' conftest.er1 >conftest.err
4994 +  rm -f conftest.er1
4995 +  cat conftest.err >&5
4996 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4997 +  (exit $ac_status); } &&
4998 +         { ac_try='test -z "$ac_c_werror_flag"
4999 +                         || test ! -s conftest.err'
5000 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5001 +  (eval $ac_try) 2>&5
5002 +  ac_status=$?
5003 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5004 +  (exit $ac_status); }; } &&
5005 +         { ac_try='test -s conftest.$ac_objext'
5006 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5007 +  (eval $ac_try) 2>&5
5008 +  ac_status=$?
5009 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5010 +  (exit $ac_status); }; }; then
5011 +  ac_header_compiler=yes
5012 + else
5013 +  echo "$as_me: failed program was:" >&5
5014 + sed 's/^/| /' conftest.$ac_ext >&5
5015 +
5016 + ac_header_compiler=no
5017 + fi
5018 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5019 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5020 + echo "${ECHO_T}$ac_header_compiler" >&6
5021 +
5022 + # Is the header present?
5023 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5024 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5025 + cat >conftest.$ac_ext <<_ACEOF
5026 + /* confdefs.h.  */
5027 + _ACEOF
5028 + cat confdefs.h >>conftest.$ac_ext
5029 + cat >>conftest.$ac_ext <<_ACEOF
5030 + /* end confdefs.h.  */
5031 + #include <$ac_header>
5032 + _ACEOF
5033 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5034 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5035 +  ac_status=$?
5036 +  grep -v '^ *+' conftest.er1 >conftest.err
5037 +  rm -f conftest.er1
5038 +  cat conftest.err >&5
5039 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5040 +  (exit $ac_status); } >/dev/null; then
5041 +  if test -s conftest.err; then
5042 +    ac_cpp_err=$ac_c_preproc_warn_flag
5043 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5044 +  else
5045 +    ac_cpp_err=
5046 +  fi
5047 + else
5048 +  ac_cpp_err=yes
5049 + fi
5050 + if test -z "$ac_cpp_err"; then
5051 +  ac_header_preproc=yes
5052 + else
5053 +  echo "$as_me: failed program was:" >&5
5054 + sed 's/^/| /' conftest.$ac_ext >&5
5055 +
5056 +  ac_header_preproc=no
5057 + fi
5058 + rm -f conftest.err conftest.$ac_ext
5059 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5060 + echo "${ECHO_T}$ac_header_preproc" >&6
5061 +
5062 + # So?  What about this header?
5063 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5064 +  yes:no: )
5065 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5066 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5067 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5068 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5069 +    ac_header_preproc=yes
5070 +    ;;
5071 +  no:yes:* )
5072 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5073 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5074 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5075 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5076 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5077 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5078 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5079 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5080 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5081 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5082 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5083 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5084 +    (
5085 +      cat <<\_ASBOX
5086 + ## ------------------------------ ##
5087 + ## Report this to gezelter@nd.edu ##
5088 + ## ------------------------------ ##
5089 + _ASBOX
5090 +    ) |
5091 +      sed "s/^/$as_me: WARNING:     /" >&2
5092 +    ;;
5093 + esac
5094 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5095 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5096 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5097 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5098 + else
5099 +  eval "$as_ac_Header=\$ac_header_preproc"
5100 + fi
5101 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5102 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5103 +
5104 + fi
5105 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
5106 +  cat >>confdefs.h <<_ACEOF
5107 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5108 + _ACEOF
5109 +
5110 + fi
5111 +
5112 + done
5113 +
5114 +
5115 +
5116 +
5117 +
5118 +
5119 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5120 + do
5121 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5122 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5123 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5124 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5125 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5126 + else
5127 +  cat >conftest.$ac_ext <<_ACEOF
5128 + /* confdefs.h.  */
5129   _ACEOF
5130 + cat confdefs.h >>conftest.$ac_ext
5131 + cat >>conftest.$ac_ext <<_ACEOF
5132 + /* end confdefs.h.  */
5133 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5134 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5135 + #define $ac_func innocuous_$ac_func
5136  
5137 + /* System header to define __stub macros and hopefully few prototypes,
5138 +    which can conflict with char $ac_func (); below.
5139 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5140 +    <limits.h> exists even on freestanding compilers.  */
5141 +
5142 + #ifdef __STDC__
5143 + # include <limits.h>
5144 + #else
5145 + # include <assert.h>
5146 + #endif
5147 +
5148 + #undef $ac_func
5149 +
5150 + /* Override any gcc2 internal prototype to avoid an error.  */
5151 + #ifdef __cplusplus
5152 + extern "C"
5153 + {
5154 + #endif
5155 + /* We use char because int might match the return type of a gcc2
5156 +   builtin and then its argument prototype would still apply.  */
5157 + char $ac_func ();
5158 + /* The GNU C library defines this for functions which it implements
5159 +    to always fail with ENOSYS.  Some functions are actually named
5160 +    something starting with __ and the normal name is an alias.  */
5161 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5162 + choke me
5163 + #else
5164 + char (*f) () = $ac_func;
5165 + #endif
5166 + #ifdef __cplusplus
5167 + }
5168 + #endif
5169 +
5170 + int
5171 + main ()
5172 + {
5173 + return f != $ac_func;
5174 +  ;
5175 +  return 0;
5176 + }
5177 + _ACEOF
5178 + rm -f conftest.$ac_objext conftest$ac_exeext
5179 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5180 +  (eval $ac_link) 2>conftest.er1
5181 +  ac_status=$?
5182 +  grep -v '^ *+' conftest.er1 >conftest.err
5183 +  rm -f conftest.er1
5184 +  cat conftest.err >&5
5185 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5186 +  (exit $ac_status); } &&
5187 +         { ac_try='test -z "$ac_c_werror_flag"
5188 +                         || test ! -s conftest.err'
5189 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5190 +  (eval $ac_try) 2>&5
5191 +  ac_status=$?
5192 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5193 +  (exit $ac_status); }; } &&
5194 +         { ac_try='test -s conftest$ac_exeext'
5195 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5196 +  (eval $ac_try) 2>&5
5197 +  ac_status=$?
5198 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5199 +  (exit $ac_status); }; }; then
5200 +  eval "$as_ac_var=yes"
5201 + else
5202 +  echo "$as_me: failed program was:" >&5
5203 + sed 's/^/| /' conftest.$ac_ext >&5
5204 +
5205 + eval "$as_ac_var=no"
5206   fi
5207 + rm -f conftest.err conftest.$ac_objext \
5208 +      conftest$ac_exeext conftest.$ac_ext
5209 + fi
5210 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5211 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5212 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5213 +  cat >>confdefs.h <<_ACEOF
5214 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5215 + _ACEOF
5216  
5217 + fi
5218   done
5219 +
5220 + # special check for _system_configuration because AIX <4.3.2 do not
5221 + # contain the `physmem' member.
5222 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5223 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5224 + cat >conftest.$ac_ext <<_ACEOF
5225 + /* confdefs.h.  */
5226 + _ACEOF
5227 + cat confdefs.h >>conftest.$ac_ext
5228 + cat >>conftest.$ac_ext <<_ACEOF
5229 + /* end confdefs.h.  */
5230 + #include <sys/systemcfg.h>
5231 + int
5232 + main ()
5233 + {
5234 + double x = _system_configuration.physmem;
5235 +  ;
5236 +  return 0;
5237 + }
5238 + _ACEOF
5239 + rm -f conftest.$ac_objext
5240 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5241 +  (eval $ac_compile) 2>conftest.er1
5242 +  ac_status=$?
5243 +  grep -v '^ *+' conftest.er1 >conftest.err
5244 +  rm -f conftest.er1
5245 +  cat conftest.err >&5
5246 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5247 +  (exit $ac_status); } &&
5248 +         { ac_try='test -z "$ac_c_werror_flag"
5249 +                         || test ! -s conftest.err'
5250 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5251 +  (eval $ac_try) 2>&5
5252 +  ac_status=$?
5253 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5254 +  (exit $ac_status); }; } &&
5255 +         { ac_try='test -s conftest.$ac_objext'
5256 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5257 +  (eval $ac_try) 2>&5
5258 +  ac_status=$?
5259 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5260 +  (exit $ac_status); }; }; then
5261 +  echo "$as_me:$LINENO: result: yes" >&5
5262 + echo "${ECHO_T}yes" >&6
5263  
5264 + cat >>confdefs.h <<\_ACEOF
5265 + #define HAVE__SYSTEM_CONFIGURATION 1
5266 + _ACEOF
5267  
5268 + else
5269 +  echo "$as_me: failed program was:" >&5
5270 + sed 's/^/| /' conftest.$ac_ext >&5
5271 +
5272 + echo "$as_me:$LINENO: result: no" >&5
5273 + echo "${ECHO_T}no" >&6
5274 + fi
5275 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5276 +
5277    # clean out junk possibly left behind by a previous configuration
5278 <  rm -f utils/getopt.h
5278 >  rm -f src/getopt.h
5279    # Check for getopt_long support
5280  
5281   for ac_header in getopt.h
# Line 5279 | Line 5615 | esac
5615    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5616   esac
5617  
5618 <                ac_config_links="$ac_config_links utils/getopt.h:utils/gnugetopt.h"
5618 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5619  
5620   fi
5621  
# Line 5373 | Line 5709 | if test "$ac_test_CFLAGS" != "set"; then
5709          fi;;
5710     *darwin*)
5711          if test "$CC" = xlc -o "$CC" = cc; then
5712 <                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5712 >                CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5713          fi;;
5714    esac
5715  
# Line 5824 | Line 6160 | if test "$ac_test_CXXFLAGS" != "set"; then
6160                  echo "*******************************************************"
6161          fi;;
6162     *darwin*)
6163 <        if test "$CXX" = xlc++; then
6164 <                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6163 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6164 >                CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6165          fi;;
6166    esac
6167  
# Line 6237 | Line 6573 | if test x"$F90FLAGS" = x ; then
6573          fi;;
6574     *darwin*)
6575          if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
6576 <                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
6576 >                F90FLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
6577          fi;;
6578    esac
6579  
# Line 6826 | Line 7162 | _ACEOF
7162   cat >>confdefs.h <<\_ACEOF
7163   #define YYTEXT_POINTER 1
7164   _ACEOF
7165 +
7166 + fi
7167  
7168   fi
7169 +
7170 +   # Extract the first word of "perl", so it can be a program name with args.
7171 + set dummy perl; ac_word=$2
7172 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7173 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7174 + if test "${ac_cv_path_PERLINTERP+set}" = set; then
7175 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7176 + else
7177 +  case $PERLINTERP in
7178 +  [\\/]* | ?:[\\/]*)
7179 +  ac_cv_path_PERLINTERP="$PERLINTERP" # Let the user override the test with a path.
7180 +  ;;
7181 +  *)
7182 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7183 + for as_dir in $PATH
7184 + do
7185 +  IFS=$as_save_IFS
7186 +  test -z "$as_dir" && as_dir=.
7187 +  for ac_exec_ext in '' $ac_executable_extensions; do
7188 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7189 +    ac_cv_path_PERLINTERP="$as_dir/$ac_word$ac_exec_ext"
7190 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7191 +    break 2
7192 +  fi
7193 + done
7194 + done
7195  
7196 +  test -z "$ac_cv_path_PERLINTERP" && ac_cv_path_PERLINTERP="perl"
7197 +  ;;
7198 + esac
7199   fi
7200 + PERLINTERP=$ac_cv_path_PERLINTERP
7201 +
7202 + if test -n "$PERLINTERP"; then
7203 +  echo "$as_me:$LINENO: result: $PERLINTERP" >&5
7204 + echo "${ECHO_T}$PERLINTERP" >&6
7205 + else
7206 +  echo "$as_me:$LINENO: result: no" >&5
7207 + echo "${ECHO_T}no" >&6
7208 + fi
7209 +
7210 +   ac_cv_path_perlinterp="$PERLINTERP"
7211 +   _sHpB='#!'
7212 +
7213 +
7214 + # Check whether --with-perl-shebang or --without-perl-shebang was given.
7215 + if test "${with_perl_shebang+set}" = set; then
7216 +  withval="$with_perl_shebang"
7217 +  opt_perl_shebang="$withval"
7218 + else
7219 +                opt_perl_shebang="not_set"
7220 + fi;
7221 +   echo "$as_me:$LINENO: checking whether explicit instead of detected sharpbang is to be used" >&5
7222 + echo $ECHO_N "checking whether explicit instead of detected sharpbang is to be used... $ECHO_C" >&6
7223 + if test "${ax_cv_opt_perl_shebang+set}" = set; then
7224 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7225 + else
7226 +   case "$opt_perl_shebang" in
7227 +                      not_set  ) ax_cv_opt_perl_shebang=''
7228 +                               ;;
7229 +                         *     )
7230 +        ax_cv_opt_perl_shebang=`echo "$opt_perl_shebang" | sed -e's|^#!\s*\(.*\)$|\1|'`
7231 +                    esac
7232 +
7233 + fi
7234 + echo "$as_me:$LINENO: result: $ax_cv_opt_perl_shebang" >&5
7235 + echo "${ECHO_T}$ax_cv_opt_perl_shebang" >&6
7236 +   if test "A$ax_cv_opt_perl_shebang" != "A"
7237 +     then
7238 +       ac_cv_sys_kernshrpbang_perl="$ax_cv_opt_perl_shebang"
7239 +       PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7240 +              { echo "$as_me:$LINENO: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&5
7241 + echo "$as_me: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&6;}
7242 +
7243 + # Automatic detection of sharpbang formula starts here
7244 +     else
7245 +   _somian_shbangperl=`$PERLINTERP -V:startperl`
7246 +   negclass="[^']"; # must leave this comment:  m4 will remove the outer brackets for us, heheh
7247 +   echo "$as_me:$LINENO: checking for kernel sharpbang invocation to start perl" >&5
7248 + echo $ECHO_N "checking for kernel sharpbang invocation to start perl... $ECHO_C" >&6
7249 + if test "${ac_cv_sys_kernshrpbang_perl+set}" = set; then
7250 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7251 + else
7252 +  _somian_kspb_perl=`echo "$_somian_shbangperl" | sed -ne"s|.*='\($negclass*\)';$|\1|p"`
7253 +        if test "x$_somian_kspb_perl" == x
7254 +          then _somian_ksbp_warn_empty='durnit'
7255 +          else
7256 +          case "A$_somian_kspb_perl" in
7257 +                 A#!*perl* )
7258 +           ac_cv_sys_kernshrpbang_perl=`echo "$_somian_kspb_perl" | sed -e's|#!\(.*\)$|\1|'`
7259 +                        ;;
7260 +                     A*    )  _somian_ksbp_warn_defau='trouble'
7261 +                              ac_cv_sys_kernshrpbang_perl="$PERLINTERP"
7262 +          esac
7263 +        fi
7264 +
7265 + fi
7266 + echo "$as_me:$LINENO: result: $ac_cv_sys_kernshrpbang_perl" >&5
7267 + echo "${ECHO_T}$ac_cv_sys_kernshrpbang_perl" >&6
7268 + # The above prints Checking ... result message to user.
7269 +   PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7270 +
7271 +    if test A${_somian_ksbp_warn_empty+set} == Aset
7272 +      then   { echo "$as_me:$LINENO: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&5
7273 + echo "$as_me: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&2;}
7274 +    fi
7275 + # Inform user after printing result value
7276 +    if test A${_somian_ksbp_warn_defau+set} == Aset
7277 +      then { echo "$as_me:$LINENO: Maybe Not good -" >&5
7278 + echo "$as_me: Maybe Not good -" >&6;}
7279 +           { echo "$as_me:$LINENO: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&5
7280 + echo "$as_me: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&2;}
7281 +      else { echo "$as_me:$LINENO: OK Good result - " >&5
7282 + echo "$as_me: OK Good result - " >&6;}
7283 +           { echo "$as_me:$LINENO: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&5
7284 + echo "$as_me: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&6;}
7285 +    fi
7286 +  fi
7287 +
7288   # Extract the first word of "ar", so it can be a program name with args.
7289   set dummy ar; ac_word=$2
7290   echo "$as_me:$LINENO: checking for $ac_word" >&5
# Line 6925 | Line 7380 | fi
7380   fi
7381   rm -f confcache
7382    exit 1
7383 + fi
7384 +
7385 + # Extract the first word of "ps", so it can be a program name with args.
7386 + set dummy ps; ac_word=$2
7387 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7388 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7389 + if test "${ac_cv_path_PS+set}" = set; then
7390 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7391 + else
7392 +  case $PS in
7393 +  [\\/]* | ?:[\\/]*)
7394 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7395 +  ;;
7396 +  *)
7397 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7398 + for as_dir in $PATH
7399 + do
7400 +  IFS=$as_save_IFS
7401 +  test -z "$as_dir" && as_dir=.
7402 +  for ac_exec_ext in '' $ac_executable_extensions; do
7403 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7404 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7405 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7406 +    break 2
7407 +  fi
7408 + done
7409 + done
7410 +
7411 +  ;;
7412 + esac
7413 + fi
7414 + PS=$ac_cv_path_PS
7415 +
7416 + if test -n "$PS"; then
7417 +  echo "$as_me:$LINENO: result: $PS" >&5
7418 + echo "${ECHO_T}$PS" >&6
7419 + else
7420 +  echo "$as_me:$LINENO: result: no" >&5
7421 + echo "${ECHO_T}no" >&6
7422 + fi
7423 +
7424 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7425 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7426 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7427 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7428 + else
7429 +
7430 +        if $PS ax -o rss > /dev/null 2>&1; then
7431 +                ac_cv_prog_ps_ax=yes
7432 +        else
7433 +                ac_cv_prog_ps_ax=no
7434 +        fi
7435 +        if $PS -ef -o rss > /dev/null 2>&1; then
7436 +                ac_cv_prog_ps_ef=yes
7437 +        else
7438 +                ac_cv_prog_ps_ef=no
7439 +        fi
7440 +        if test "$ac_cv_prog_ps_ax" = yes; then
7441 +                ac_cv_prog_ps_syntax=BSD
7442 +        else
7443 +                if test "$ac_cv_prog_ps_ef" = yes; then
7444 +                        ac_cv_prog_ps_syntax=POSIX
7445 +                else
7446 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7447 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7448 +   { (exit 1); exit 1; }; }
7449 +                fi
7450 +        fi
7451 +
7452   fi
7453 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7454 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7455  
7456 +
7457 + cat >>confdefs.h <<_ACEOF
7458 + #define PSCOMMAND $PS
7459 + _ACEOF
7460 +
7461 +
7462 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7463 +  cat >>confdefs.h <<\_ACEOF
7464 + #define PSTYPE_IS_BSD 1
7465 + _ACEOF
7466 +
7467 + else
7468 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7469 +       cat >>confdefs.h <<\_ACEOF
7470 + #define PSTYPE_IS_POSIX 1
7471 + _ACEOF
7472 +
7473 +   else
7474 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7475 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7476 +   { (exit 1); exit 1; }; }
7477 +   fi
7478 + fi
7479  
7480  
7481   # Check whether --with-mpi or --without-mpi was given.
# Line 7228 | Line 7777 | fi
7777   fi
7778  
7779   fi
7780 <
7232 < $as_unset ac_cv_lib_mpi_MPI_Init
7780 > $as_unset ac_cv_lib_mpich_MPI_Init
7781   if test x = x"$MPI_LIB"; then
7782 < echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
7783 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
7784 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
7782 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
7783 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
7784 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
7785    echo $ECHO_N "(cached) $ECHO_C" >&6
7786   else
7787    ac_check_lib_save_LIBS=$LIBS
7788 < LIBS="-lmpi -llam -lpthread $LIBS"
7788 > LIBS="-lmpich "-lpmpich" $LIBS"
7789   cat >conftest.$ac_ext <<_ACEOF
7790   /* confdefs.h.  */
7791   _ACEOF
# Line 7282 | Line 7830 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7830    ac_status=$?
7831    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7832    (exit $ac_status); }; }; then
7833 <  ac_cv_lib_mpi_MPI_Init=yes
7833 >  ac_cv_lib_mpich_MPI_Init=yes
7834   else
7835    echo "$as_me: failed program was:" >&5
7836   sed 's/^/| /' conftest.$ac_ext >&5
7837  
7838 < ac_cv_lib_mpi_MPI_Init=no
7838 > ac_cv_lib_mpich_MPI_Init=no
7839   fi
7840   rm -f conftest.err conftest.$ac_objext \
7841        conftest$ac_exeext conftest.$ac_ext
7842   LIBS=$ac_check_lib_save_LIBS
7843   fi
7844 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
7845 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
7846 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
7847 <  MPI_LIB="-lmpi -llam -lpthread"
7300 < else
7301 <
7302 <             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
7303 < echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
7304 <   { (exit 1); exit 1; }; }
7305 <             USE_MPI="no"
7306 <
7844 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
7845 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
7846 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
7847 >  MPI_LIB="-lmpich -lpmpich"
7848   fi
7849  
7850   fi
7851  
7852 <
7853 <
7854 < echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
7855 < echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
7856 < MPI_F90_LIB=""
7316 < if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
7317 <        MPI_F90_LIB="-lfmpich"
7318 < elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
7319 <        MPI_F90_LIB="-llamf77mpi"
7320 < else
7321 <                        MPI_F90_LIB="  "
7322 < fi
7323 < echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7324 < echo "${ECHO_T}found $MPI_F90_LIB" >&6
7325 <
7326 <
7327 < fi
7328 <
7329 <
7330 <
7331 < # Check whether --with-sprng or --without-sprng was given.
7332 < if test "${with_sprng+set}" = set; then
7333 <  withval="$with_sprng"
7334 <  with_sprng=$withval
7335 < else
7336 <  with_sprng="/usr/local"
7337 < fi;
7338 <
7339 < case "x$with_sprng" in
7340 <        xyes | "x")  USE_SPRNG=yes;;
7341 <        xno) USE_SPRNG=no ;;
7342 <        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7343 < esac
7344 < if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7345 <        SPRNG="/usr/local"
7346 < fi
7347 < if test "$USE_SPRNG" = "yes"; then
7348 <
7349 <
7350 < # Set variables...
7351 < SPRNG_LIB_DIR="$SPRNG/lib"
7352 < SPRNG_INC_DIR="$SPRNG/include"
7353 <
7354 <
7355 <
7356 < echo "$as_me:$LINENO: checking for sprng.h" >&5
7357 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7358 < have_sprng_h=0
7359 < echo '#include <sprng.h>' > conftest.cc
7360 < if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7361 <        echo "$as_me:$LINENO: result: yes" >&5
7362 < echo "${ECHO_T}yes" >&6
7363 <        have_sprng_h=1
7364 < else
7365 <        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7366 < echo "${ECHO_T}no! Check SPRNG include path!" >&6
7367 <        USE_SPRNG="no"
7368 < fi
7369 < rm -f conftest*
7370 < if test "$have_sprng_h" = 1; then
7371 <
7372 < cat >>confdefs.h <<\_ACEOF
7373 < #define HAVE_SPRNG_H 1
7374 < _ACEOF
7375 <
7376 < fi
7377 <
7378 < ac_ext=c
7379 < ac_cpp='$CPP $CPPFLAGS'
7380 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7381 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7382 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7383 <
7384 < ac_save_LDFLAGS=$LDFLAGS
7385 < LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7386 <
7387 < echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7388 < echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7389 < if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7852 > $as_unset ac_cv_lib_mpi_MPI_Init
7853 > if test x = x"$MPI_LIB"; then
7854 > echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
7855 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
7856 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
7857    echo $ECHO_N "(cached) $ECHO_C" >&6
7858   else
7859    ac_check_lib_save_LIBS=$LIBS
7860 < LIBS="-lsprng  $LIBS"
7860 > LIBS="-lmpi -llam -lpthread $LIBS"
7861   cat >conftest.$ac_ext <<_ACEOF
7862   /* confdefs.h.  */
7863   _ACEOF
# Line 7404 | Line 7871 | char init_rng ();
7871   #endif
7872   /* We use char because int might match the return type of a gcc2
7873     builtin and then its argument prototype would still apply.  */
7874 < char init_rng ();
7874 > char MPI_Init ();
7875   int
7876   main ()
7877   {
7878 < init_rng ();
7878 > MPI_Init ();
7879    ;
7880    return 0;
7881   }
# Line 7435 | Line 7902 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7902    ac_status=$?
7903    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7904    (exit $ac_status); }; }; then
7905 <  ac_cv_lib_sprng_init_rng=yes
7905 >  ac_cv_lib_mpi_MPI_Init=yes
7906   else
7907    echo "$as_me: failed program was:" >&5
7908   sed 's/^/| /' conftest.$ac_ext >&5
7909  
7910 < ac_cv_lib_sprng_init_rng=no
7910 > ac_cv_lib_mpi_MPI_Init=no
7911   fi
7912   rm -f conftest.err conftest.$ac_objext \
7913        conftest$ac_exeext conftest.$ac_ext
7914   LIBS=$ac_check_lib_save_LIBS
7915   fi
7916 < echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7917 < echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7918 < if test $ac_cv_lib_sprng_init_rng = yes; then
7919 <  SPRNG_LIB="-lsprng"
7916 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
7917 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
7918 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
7919 >  MPI_LIB="-lmpi -llam -lpthread"
7920   else
7921  
7922 <             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7923 < echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7922 >             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
7923 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
7924     { (exit 1); exit 1; }; }
7925 <             USE_SPRNG="no"
7925 >             USE_MPI="no"
7926  
7927   fi
7928  
7929 + fi
7930  
7931 < if test "$USE_SPRNG" = "no"; then
7932 <  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7933 < echo "$as_me: error: No working SPRNG library found" >&2;}
7934 <   { (exit 1); exit 1; }; }
7931 >
7932 >
7933 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
7934 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
7935 > MPI_F90_LIB=""
7936 > if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
7937 >        MPI_F90_LIB="-lfmpich"
7938 > elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
7939 >        MPI_F90_LIB="-llamf77mpi"
7940 > else
7941 >                        MPI_F90_LIB="  "
7942   fi
7943 + echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7944 + echo "${ECHO_T}found $MPI_F90_LIB" >&6
7945  
7946  
7947   fi
7948  
7949  
7950  
7474 echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7475 echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7951  
7952 < # Check whether --with-mkl or --without-mkl was given.
7953 < if test "${with_mkl+set}" = set; then
7479 <  withval="$with_mkl"
7480 <     echo "$as_me:$LINENO: result: yes" >&5
7481 < echo "${ECHO_T}yes" >&6
7482 <    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7483 <        mkldir="$dir"
7484 <        if test -f "$dir/include/mkl.h"; then
7485 <            found_mkl="yes";
7486 <            break;
7487 <        fi
7488 <    done
7489 <    if test x_$found_mkl != x_yes; then
7490 <        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7491 < echo "$as_me: error: Cannot find MKL includes" >&2;}
7492 <   { (exit 1); exit 1; }; }
7493 <    else
7494 <        printf "MKL includes found in $mkldir/include\n";
7495 <    fi
7952 > USE_CGAL=no
7953 > cgal_makefile=auto
7954  
7955 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7956 + if test "${with_cgal_makefile+set}" = set; then
7957 +  withval="$with_cgal_makefile"
7958 +  cgal_makefile="$withval"
7959 + fi;
7960  
7961 + if test "x$cgal_makefile" != xno; then
7962  
7963 <  ac_ext=c
7964 < ac_cpp='$CPP $CPPFLAGS'
7965 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7502 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7503 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7963 >  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7964 >    cgal_makefile="$CGAL_MAKEFILE"
7965 >  fi
7966  
7967 <  ac_save_CPPFLAGS=$CPPFLAGS
7968 <  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7969 <  ac_save_LDFLAGS=$LDFLAGS
7970 <  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7971 <  if test "${ac_cv_header_mkl_h+set}" = set; then
7972 <  echo "$as_me:$LINENO: checking for mkl.h" >&5
7973 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7974 < if test "${ac_cv_header_mkl_h+set}" = set; then
7967 >  echo "cgal_makefile      $cgal_makefile"
7968 >
7969 >  if test -f "$cgal_makefile"; then
7970 >
7971 >    cat >config.tmp.Makefile <<EOF
7972 > include $cgal_makefile
7973 > default:
7974 >        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7975 >        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7976 >        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7977 >        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7978 >        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7979 >        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7980 >        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7981 >        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7982 >        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7983 >        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7984 >        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7985 >        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7986 > EOF
7987 >
7988 >    make -s -f config.tmp.Makefile
7989 >    . config.tmp.cgalvariables
7990 >
7991 >    rm -f config.tmp.Makefile config.tmp.cgalvariables
7992 >
7993 >    if test "x$CGAL_INCLDIR" = "x"; then
7994 >      CGAL_INCLDIR=""
7995 >    fi
7996 >
7997 >    if test "x$CGAL_LIBDIR" = "x"; then
7998 >      CGAL_LIBDIR=""
7999 >    fi
8000 >
8001 >    if test "x$CGAL_RLIBDIR" = "x"; then
8002 >      CGAL_RLIBDIR=""
8003 >    fi
8004 >
8005 >    if test "x$LEDA_INCLDIR" = "x"; then
8006 >      LEDA_INCLDIR=""
8007 >    fi
8008 >
8009 >    if test "x$LEDA_LIBDIR" = "x"; then
8010 >      LEDA_LIBDIR=""
8011 >    fi
8012 >
8013 >    if test "x$LEDA_RLIBDIR" = "x"; then
8014 >      LEDA_RLIBDIR=""
8015 >    fi
8016 >
8017 >    if test "x$GMP_INCLDIR" = "x"; then
8018 >      GMP_INCLDIR=""
8019 >    fi
8020 >
8021 >    if test "x$GMP_LIBDIR" = "x"; then
8022 >      GMP_LIBDIR=""
8023 >    fi
8024 >
8025 >    if test "x$GMP_RLIBDIR" = "x"; then
8026 >      GMP_RLIBDIR=""
8027 >    fi
8028 >
8029 >    echo "CGAL_OS_COMPILER   $CGAL_OS_COMPILER"
8030 >    echo "CGAL_INCLDIR       $CGAL_INCLDIR"
8031 >    echo "CGAL_INCLCONFDIR   $CGAL_INCLCONFDIR"
8032 >    echo "CGAL_LIBDIR        $CGAL_LIBDIR"
8033 >    echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
8034 >    echo "LEDA_INCLDIR       $LEDA_INCLDIR"
8035 >    echo "LEDA_LIBDIR        $LEDA_LIBDIR"
8036 >    echo "GMP_INCLDIR        $GMP_INCLDIR"
8037 >    echo "GMP_LIBDIR         $GMP_LIBDIR"
8038 >
8039 >    ac_ext=cc
8040 > ac_cpp='$CXXCPP $CPPFLAGS'
8041 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8042 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8043 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8044 >
8045 >    save_CXXFLAGS="$CXXFLAGS"
8046 >    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8047 >
8048 > ac_ext=cc
8049 > ac_cpp='$CXXCPP $CPPFLAGS'
8050 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8051 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8052 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8053 > echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8054 > echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8055 > if test -z "$CXXCPP"; then
8056 >  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8057    echo $ECHO_N "(cached) $ECHO_C" >&6
8058 + else
8059 +      # Double quotes because CXXCPP needs to be expanded
8060 +    for CXXCPP in "$CXX -E" "/lib/cpp"
8061 +    do
8062 +      ac_preproc_ok=false
8063 + for ac_cxx_preproc_warn_flag in '' yes
8064 + do
8065 +  # Use a header file that comes with gcc, so configuring glibc
8066 +  # with a fresh cross-compiler works.
8067 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8068 +  # <limits.h> exists even on freestanding compilers.
8069 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8070 +  # not just through cpp. "Syntax error" is here to catch this case.
8071 +  cat >conftest.$ac_ext <<_ACEOF
8072 + /* confdefs.h.  */
8073 + _ACEOF
8074 + cat confdefs.h >>conftest.$ac_ext
8075 + cat >>conftest.$ac_ext <<_ACEOF
8076 + /* end confdefs.h.  */
8077 + #ifdef __STDC__
8078 + # include <limits.h>
8079 + #else
8080 + # include <assert.h>
8081 + #endif
8082 +                     Syntax error
8083 + _ACEOF
8084 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8085 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8086 +  ac_status=$?
8087 +  grep -v '^ *+' conftest.er1 >conftest.err
8088 +  rm -f conftest.er1
8089 +  cat conftest.err >&5
8090 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8091 +  (exit $ac_status); } >/dev/null; then
8092 +  if test -s conftest.err; then
8093 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8094 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8095 +  else
8096 +    ac_cpp_err=
8097 +  fi
8098 + else
8099 +  ac_cpp_err=yes
8100   fi
8101 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8102 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8101 > if test -z "$ac_cpp_err"; then
8102 >  :
8103   else
8104 +  echo "$as_me: failed program was:" >&5
8105 + sed 's/^/| /' conftest.$ac_ext >&5
8106 +
8107 +  # Broken: fails on valid input.
8108 + continue
8109 + fi
8110 + rm -f conftest.err conftest.$ac_ext
8111 +
8112 +  # OK, works on sane cases.  Now check whether non-existent headers
8113 +  # can be detected and how.
8114 +  cat >conftest.$ac_ext <<_ACEOF
8115 + /* confdefs.h.  */
8116 + _ACEOF
8117 + cat confdefs.h >>conftest.$ac_ext
8118 + cat >>conftest.$ac_ext <<_ACEOF
8119 + /* end confdefs.h.  */
8120 + #include <ac_nonexistent.h>
8121 + _ACEOF
8122 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8123 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8124 +  ac_status=$?
8125 +  grep -v '^ *+' conftest.er1 >conftest.err
8126 +  rm -f conftest.er1
8127 +  cat conftest.err >&5
8128 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8129 +  (exit $ac_status); } >/dev/null; then
8130 +  if test -s conftest.err; then
8131 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8132 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8133 +  else
8134 +    ac_cpp_err=
8135 +  fi
8136 + else
8137 +  ac_cpp_err=yes
8138 + fi
8139 + if test -z "$ac_cpp_err"; then
8140 +  # Broken: success on invalid input.
8141 + continue
8142 + else
8143 +  echo "$as_me: failed program was:" >&5
8144 + sed 's/^/| /' conftest.$ac_ext >&5
8145 +
8146 +  # Passes both tests.
8147 + ac_preproc_ok=:
8148 + break
8149 + fi
8150 + rm -f conftest.err conftest.$ac_ext
8151 +
8152 + done
8153 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8154 + rm -f conftest.err conftest.$ac_ext
8155 + if $ac_preproc_ok; then
8156 +  break
8157 + fi
8158 +
8159 +    done
8160 +    ac_cv_prog_CXXCPP=$CXXCPP
8161 +
8162 + fi
8163 +  CXXCPP=$ac_cv_prog_CXXCPP
8164 + else
8165 +  ac_cv_prog_CXXCPP=$CXXCPP
8166 + fi
8167 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8168 + echo "${ECHO_T}$CXXCPP" >&6
8169 + ac_preproc_ok=false
8170 + for ac_cxx_preproc_warn_flag in '' yes
8171 + do
8172 +  # Use a header file that comes with gcc, so configuring glibc
8173 +  # with a fresh cross-compiler works.
8174 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8175 +  # <limits.h> exists even on freestanding compilers.
8176 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8177 +  # not just through cpp. "Syntax error" is here to catch this case.
8178 +  cat >conftest.$ac_ext <<_ACEOF
8179 + /* confdefs.h.  */
8180 + _ACEOF
8181 + cat confdefs.h >>conftest.$ac_ext
8182 + cat >>conftest.$ac_ext <<_ACEOF
8183 + /* end confdefs.h.  */
8184 + #ifdef __STDC__
8185 + # include <limits.h>
8186 + #else
8187 + # include <assert.h>
8188 + #endif
8189 +                     Syntax error
8190 + _ACEOF
8191 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8192 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8193 +  ac_status=$?
8194 +  grep -v '^ *+' conftest.er1 >conftest.err
8195 +  rm -f conftest.er1
8196 +  cat conftest.err >&5
8197 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8198 +  (exit $ac_status); } >/dev/null; then
8199 +  if test -s conftest.err; then
8200 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8201 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8202 +  else
8203 +    ac_cpp_err=
8204 +  fi
8205 + else
8206 +  ac_cpp_err=yes
8207 + fi
8208 + if test -z "$ac_cpp_err"; then
8209 +  :
8210 + else
8211 +  echo "$as_me: failed program was:" >&5
8212 + sed 's/^/| /' conftest.$ac_ext >&5
8213 +
8214 +  # Broken: fails on valid input.
8215 + continue
8216 + fi
8217 + rm -f conftest.err conftest.$ac_ext
8218 +
8219 +  # OK, works on sane cases.  Now check whether non-existent headers
8220 +  # can be detected and how.
8221 +  cat >conftest.$ac_ext <<_ACEOF
8222 + /* confdefs.h.  */
8223 + _ACEOF
8224 + cat confdefs.h >>conftest.$ac_ext
8225 + cat >>conftest.$ac_ext <<_ACEOF
8226 + /* end confdefs.h.  */
8227 + #include <ac_nonexistent.h>
8228 + _ACEOF
8229 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8230 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8231 +  ac_status=$?
8232 +  grep -v '^ *+' conftest.er1 >conftest.err
8233 +  rm -f conftest.er1
8234 +  cat conftest.err >&5
8235 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8236 +  (exit $ac_status); } >/dev/null; then
8237 +  if test -s conftest.err; then
8238 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8239 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8240 +  else
8241 +    ac_cpp_err=
8242 +  fi
8243 + else
8244 +  ac_cpp_err=yes
8245 + fi
8246 + if test -z "$ac_cpp_err"; then
8247 +  # Broken: success on invalid input.
8248 + continue
8249 + else
8250 +  echo "$as_me: failed program was:" >&5
8251 + sed 's/^/| /' conftest.$ac_ext >&5
8252 +
8253 +  # Passes both tests.
8254 + ac_preproc_ok=:
8255 + break
8256 + fi
8257 + rm -f conftest.err conftest.$ac_ext
8258 +
8259 + done
8260 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8261 + rm -f conftest.err conftest.$ac_ext
8262 + if $ac_preproc_ok; then
8263 +  :
8264 + else
8265 +  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8266 + See \`config.log' for more details." >&5
8267 + echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8268 + See \`config.log' for more details." >&2;}
8269 +   { (exit 1); exit 1; }; }
8270 + fi
8271 +
8272 + ac_ext=cc
8273 + ac_cpp='$CXXCPP $CPPFLAGS'
8274 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8275 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8276 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8277 +
8278 +
8279 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8280 +  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8281 + echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8282 + if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8283 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8284 + fi
8285 + echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8286 + echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8287 + else
8288    # Is the header compilable?
8289 < echo "$as_me:$LINENO: checking mkl.h usability" >&5
8290 < echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
8289 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8290 > echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8291   cat >conftest.$ac_ext <<_ACEOF
8292   /* confdefs.h.  */
8293   _ACEOF
# Line 7525 | Line 8295 | $ac_includes_default
8295   cat >>conftest.$ac_ext <<_ACEOF
8296   /* end confdefs.h.  */
8297   $ac_includes_default
8298 < #include <mkl.h>
8298 > #include <CGAL/Cartesian.h>
8299   _ACEOF
8300   rm -f conftest.$ac_objext
8301   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7536 | Line 8306 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8306    cat conftest.err >&5
8307    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8308    (exit $ac_status); } &&
8309 <         { ac_try='test -z "$ac_c_werror_flag"
8309 >         { ac_try='test -z "$ac_cxx_werror_flag"
8310                           || test ! -s conftest.err'
8311    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8312    (eval $ac_try) 2>&5
# Line 7561 | Line 8331 | echo "$as_me:$LINENO: checking mkl.h presence" >&5
8331   echo "${ECHO_T}$ac_header_compiler" >&6
8332  
8333   # Is the header present?
8334 < echo "$as_me:$LINENO: checking mkl.h presence" >&5
8335 < echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
8334 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8335 > echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8336   cat >conftest.$ac_ext <<_ACEOF
8337   /* confdefs.h.  */
8338   _ACEOF
8339   cat confdefs.h >>conftest.$ac_ext
8340   cat >>conftest.$ac_ext <<_ACEOF
8341   /* end confdefs.h.  */
8342 < #include <mkl.h>
8342 > #include <CGAL/Cartesian.h>
8343   _ACEOF
8344   if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8345    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# Line 7580 | Line 8350 | if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$a
8350    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8351    (exit $ac_status); } >/dev/null; then
8352    if test -s conftest.err; then
8353 <    ac_cpp_err=$ac_c_preproc_warn_flag
8354 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8353 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8354 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8355    else
8356      ac_cpp_err=
8357    fi
# Line 7601 | Line 8371 | case $ac_header_compiler:$ac_header_preproc:$ac_c_prep
8371   echo "${ECHO_T}$ac_header_preproc" >&6
8372  
8373   # So?  What about this header?
8374 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8374 > case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8375    yes:no: )
8376 <    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8377 < echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8378 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8379 < echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8376 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8377 > echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8378 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8379 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8380      ac_header_preproc=yes
8381      ;;
8382    no:yes:* )
8383 <    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8384 < echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8385 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8386 < echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8387 <    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8388 < echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8389 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8390 < echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8391 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8392 < echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8393 <    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8394 < echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8383 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8384 > echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8385 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8386 > echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8387 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8388 > echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8389 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8390 > echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8391 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8392 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8393 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8394 > echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8395      (
8396        cat <<\_ASBOX
8397   ## ------------------------------ ##
# Line 7632 | Line 8402 | echo "$as_me:$LINENO: checking for mkl.h" >&5
8402        sed "s/^/$as_me: WARNING:     /" >&2
8403      ;;
8404   esac
8405 < echo "$as_me:$LINENO: checking for mkl.h" >&5
8406 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8407 < if test "${ac_cv_header_mkl_h+set}" = set; then
8405 > echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8406 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8407 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8408    echo $ECHO_N "(cached) $ECHO_C" >&6
8409   else
8410 <  ac_cv_header_mkl_h=$ac_header_preproc
8410 >  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8411   fi
8412 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8413 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8412 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8413 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8414  
8415   fi
8416 < if test $ac_cv_header_mkl_h = yes; then
8417 <
7648 <    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
7649 < echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
7650 < if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
7651 <  echo $ECHO_N "(cached) $ECHO_C" >&6
8416 > if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8417 >  cgal=yes
8418   else
8419 <  ac_check_lib_save_LIBS=$LIBS
8420 < LIBS="-lmkl  $LIBS"
8419 >  cgal=no
8420 > fi
8421 >
8422 >
8423 >    CXXFLAGS="$save_CXXFLAGS"
8424 >
8425 >    if test "x$cgal" = xyes; then
8426 >      echo "$as_me:$LINENO: checking for CGAL version" >&5
8427 > echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8428 >      LOCATION=${CGAL_INCLDIR}
8429 >      LOCATION=${LOCATION:-/usr/include}
8430 >      if test -f $LOCATION/CGAL/version.h; then
8431 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8432 >      else
8433 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8434 >      fi
8435 >      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8436 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8437 > echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8438 >      else
8439 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8440 > echo "${ECHO_T}($CGAL_VERSION) no" >&6
8441 >        cgal=no
8442 >      fi
8443 >    fi
8444 >
8445 >    if test "x$cgal" = xyes; then
8446 >      CGAL_LIBS="-lCGAL"
8447 >      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8448 > echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8449 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8450 >        CGAL_USES_LEDA=yes
8451 >        echo "$as_me:$LINENO: result: yes" >&5
8452 > echo "${ECHO_T}yes" >&6
8453 >        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8454 >      else
8455 >        echo "$as_me:$LINENO: result: no" >&5
8456 > echo "${ECHO_T}no" >&6
8457 >        CGAL_USES_LEDA=no
8458 >      fi
8459 >
8460 >      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8461 > echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8462 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8463 >        CGAL_USES_GMP=yes
8464 >        echo "$as_me:$LINENO: result: yes" >&5
8465 > echo "${ECHO_T}yes" >&6
8466 >        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8467 >      else
8468 >        echo "$as_me:$LINENO: result: no" >&5
8469 > echo "${ECHO_T}no" >&6
8470 >        CGAL_USES_GMP=no
8471 >      fi
8472 >
8473 >      CGAL_LIBS="$CGAL_LIBS -lm"
8474 >
8475 >      CGAL_CXXFLAGS="-ftemplate-depth-50"
8476 >
8477 >      echo "CGAL_USES_LEDA     $CGAL_USES_LEDA"
8478 >      echo "CGAL_USES_GMP      $CGAL_USES_GMP"
8479 >      echo "CGAL_INCLDIR       $CGAL_INCLDIR"
8480 >      echo "CGAL_LIBDIR        $CGAL_LIBDIR"
8481 >      echo "CGAL_DEFINES       $CGAL_DEFINES"
8482 >      echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
8483 >      echo "CGAL_LIBS          $CGAL_LIBS"
8484 >    fi
8485 >
8486 >    if test "x$cgal" = xyes; then
8487 >      save_LIBS="$LIBS"
8488 >      LIBS="$LIBS -L$CGAL_LIBDIR"
8489 >      if test "x$CGAL_USES_LEDA" = xyes; then
8490 >        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8491 >      fi
8492 >      # if test "x$CGAL_USES_GMP" = xyes; then
8493 >      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8494 >      # fi
8495 >      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8496 > echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8497 > save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8498 > CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8499 > save_LIBS_CHECK_CXX_LIB="$LIBS"
8500 > LIBS="-lCGAL  $LIBS"
8501   cat >conftest.$ac_ext <<_ACEOF
8502   /* confdefs.h.  */
8503   _ACEOF
8504   cat confdefs.h >>conftest.$ac_ext
8505   cat >>conftest.$ac_ext <<_ACEOF
8506   /* end confdefs.h.  */
8507 <
7662 < /* Override any gcc2 internal prototype to avoid an error.  */
7663 < #ifdef __cplusplus
7664 < extern "C"
7665 < #endif
7666 < /* We use char because int might match the return type of a gcc2
7667 <   builtin and then its argument prototype would still apply.  */
7668 < char vslNewStream ();
8507 > #include <CGAL/Cartesian.h>
8508   int
8509   main ()
8510   {
8511 < vslNewStream ();
8511 > ::CGAL::Cartesian<int>::Point_2 P
8512    ;
8513    return 0;
8514   }
# Line 7683 | Line 8522 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8522    cat conftest.err >&5
8523    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8524    (exit $ac_status); } &&
8525 <         { ac_try='test -z "$ac_c_werror_flag"
8525 >         { ac_try='test -z "$ac_cxx_werror_flag"
8526                           || test ! -s conftest.err'
8527    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8528    (eval $ac_try) 2>&5
# Line 7696 | Line 8535 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8535    ac_status=$?
8536    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8537    (exit $ac_status); }; }; then
8538 <  ac_cv_lib_mkl_vslNewStream=yes
8538 >  echo "$as_me:$LINENO: result: yes" >&5
8539 > echo "${ECHO_T}yes" >&6
8540 > cgal=yes
8541   else
8542    echo "$as_me: failed program was:" >&5
8543   sed 's/^/| /' conftest.$ac_ext >&5
8544  
8545 < ac_cv_lib_mkl_vslNewStream=no
8545 > echo "$as_me:$LINENO: result: no" >&5
8546 > echo "${ECHO_T}no" >&6
8547 > cgal=no
8548   fi
8549   rm -f conftest.err conftest.$ac_objext \
8550        conftest$ac_exeext conftest.$ac_ext
8551 < LIBS=$ac_check_lib_save_LIBS
8552 < fi
8553 < echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8554 < echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
7712 < if test $ac_cv_lib_mkl_vslNewStream = yes; then
7713 <  MKL_LIBDIR="${mkldir}/lib/32",
7714 <                     MKL_LIB="-lmkl -lvml -lguide",
7715 <                     HAVE_MKL="yes"
7716 < fi
8551 > CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8552 > LIBS="$save_LIBS_CHECK_CXX_LIB"
8553 >      LIBS="$save_LIBS"
8554 >    fi
8555  
8556 <
7719 < else
7720 <  MKL_INC="-I${mkldir}/include"
7721 < fi
7722 <
7723 <
7724 <  CPPFLAGS=$ac_save_CPPFLAGS
7725 <  LDFLAGS=$ac_save_LDFLAGS
8556 >  fi
8557    ac_ext=c
8558   ac_cpp='$CPP $CPPFLAGS'
8559   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 7730 | Line 8561 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
8561   ac_compiler_gnu=$ac_cv_c_compiler_gnu
8562  
8563  
8564 <  if test x_$HAVE_MKL != x_yes; then
8565 <        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
8566 < echo "$as_me: error: Can't build with MKL" >&2;}
8564 > fi
8565 >
8566 > if test "x$cgal" = xyes; then
8567 >  USE_CGAL=yes
8568 >
8569 > cat >>confdefs.h <<\_ACEOF
8570 > #define HAVE_CGAL 1
8571 > _ACEOF
8572 >
8573 >
8574 > cat >>confdefs.h <<_ACEOF
8575 > #define CGAL_VERSION $CGAL_VERSION
8576 > _ACEOF
8577 >
8578 >  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8579 >    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8580 > echo "$as_me: WARNING: *****************************************************" >&2;}
8581 >    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8582 > echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8583 >    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8584 > echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8585 >    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8586 > echo "$as_me: WARNING: *****************************************************" >&2;}
8587 >  fi
8588 > else
8589 >   if test "x$cgal_makefile" != xno; then
8590 >    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8591 > echo "$as_me: WARNING: *********************************************************" >&2;}
8592 >    { echo "$as_me:$LINENO: WARNING: *** Warning: CGAL was not found.                      ***" >&5
8593 > echo "$as_me: WARNING: *** Warning: CGAL was not found.                      ***" >&2;}
8594 >    { echo "$as_me:$LINENO: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&5
8595 > echo "$as_me: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&2;}
8596 >    { echo "$as_me:$LINENO: WARNING: *** CGAL support will be disabled.                    ***" >&5
8597 > echo "$as_me: WARNING: *** CGAL support will be disabled.                    ***" >&2;}
8598 >    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8599 > echo "$as_me: WARNING: *********************************************************" >&2;}
8600 >  fi
8601 >  CGAL_INCLDIR=
8602 >  CGAL_LIBDIR=
8603 >  CGAL_RLIBDIR=
8604 >  CGAL_DEFINES=
8605 >  CGAL_CXXFLAGS=
8606 >  CGAL_LIBS=
8607 > fi
8608 >
8609 >
8610 > CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8611 >
8612 > CGAL_LIB_DIR=${CGAL_LIBDIR}
8613 >
8614 > CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8615 >
8616 >
8617 >
8618 >
8619 >
8620 >
8621 >
8622 > # Check whether --enable-doxygen or --disable-doxygen was given.
8623 > if test "${enable_doxygen+set}" = set; then
8624 >  enableval="$enable_doxygen"
8625 >
8626 > fi;
8627 > # Check whether --enable-dot or --disable-dot was given.
8628 > if test "${enable_dot+set}" = set; then
8629 >  enableval="$enable_dot"
8630 >
8631 > fi;
8632 > # Check whether --enable-html-docs or --disable-html-docs was given.
8633 > if test "${enable_html_docs+set}" = set; then
8634 >  enableval="$enable_html_docs"
8635 >
8636 > else
8637 >   enable_html_docs=yes
8638 > fi;
8639 > # Check whether --enable-latex-docs or --disable-latex-docs was given.
8640 > if test "${enable_latex_docs+set}" = set; then
8641 >  enableval="$enable_latex_docs"
8642 >
8643 > else
8644 >   enable_latex_docs=no
8645 > fi;
8646 > if test "x$enable_doxygen" = xno; then
8647 >        enable_doc=no
8648 > else
8649 >        # Extract the first word of "doxygen", so it can be a program name with args.
8650 > set dummy doxygen; ac_word=$2
8651 > echo "$as_me:$LINENO: checking for $ac_word" >&5
8652 > echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
8653 > if test "${ac_cv_path_DOXYGEN+set}" = set; then
8654 >  echo $ECHO_N "(cached) $ECHO_C" >&6
8655 > else
8656 >  case $DOXYGEN in
8657 >  [\\/]* | ?:[\\/]*)
8658 >  ac_cv_path_DOXYGEN="$DOXYGEN" # Let the user override the test with a path.
8659 >  ;;
8660 >  *)
8661 >  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
8662 > for as_dir in $PATH
8663 > do
8664 >  IFS=$as_save_IFS
8665 >  test -z "$as_dir" && as_dir=.
8666 >  for ac_exec_ext in '' $ac_executable_extensions; do
8667 >  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
8668 >    ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
8669 >    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
8670 >    break 2
8671 >  fi
8672 > done
8673 > done
8674 >
8675 >  ;;
8676 > esac
8677 > fi
8678 > DOXYGEN=$ac_cv_path_DOXYGEN
8679 >
8680 > if test -n "$DOXYGEN"; then
8681 >  echo "$as_me:$LINENO: result: $DOXYGEN" >&5
8682 > echo "${ECHO_T}$DOXYGEN" >&6
8683 > else
8684 >  echo "$as_me:$LINENO: result: no" >&5
8685 > echo "${ECHO_T}no" >&6
8686 > fi
8687 >
8688 >        if test "x$DOXYGEN" = x; then
8689 >                if test "x$enable_doxygen" = xyes; then
8690 >                        { { echo "$as_me:$LINENO: error: could not find doxygen" >&5
8691 > echo "$as_me: error: could not find doxygen" >&2;}
8692     { (exit 1); exit 1; }; }
8693 +                fi
8694 +                enable_doc=no
8695 +        else
8696 +                enable_doc=yes
8697 +                # Extract the first word of "dot", so it can be a program name with args.
8698 + set dummy dot; ac_word=$2
8699 + echo "$as_me:$LINENO: checking for $ac_word" >&5
8700 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
8701 + if test "${ac_cv_path_DOT+set}" = set; then
8702 +  echo $ECHO_N "(cached) $ECHO_C" >&6
8703 + else
8704 +  case $DOT in
8705 +  [\\/]* | ?:[\\/]*)
8706 +  ac_cv_path_DOT="$DOT" # Let the user override the test with a path.
8707 +  ;;
8708 +  *)
8709 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
8710 + for as_dir in $PATH
8711 + do
8712 +  IFS=$as_save_IFS
8713 +  test -z "$as_dir" && as_dir=.
8714 +  for ac_exec_ext in '' $ac_executable_extensions; do
8715 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
8716 +    ac_cv_path_DOT="$as_dir/$ac_word$ac_exec_ext"
8717 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
8718 +    break 2
8719    fi
8720 + done
8721 + done
8722  
8723 +  ;;
8724 + esac
8725 + fi
8726 + DOT=$ac_cv_path_DOT
8727  
8728 + if test -n "$DOT"; then
8729 +  echo "$as_me:$LINENO: result: $DOT" >&5
8730 + echo "${ECHO_T}$DOT" >&6
8731 + else
8732 +  echo "$as_me:$LINENO: result: no" >&5
8733 + echo "${ECHO_T}no" >&6
8734 + fi
8735  
8736 +        fi
8737 + fi
8738  
8739 + if test "x$enable_doc" = xyes; then
8740 +  DOC=1
8741 + else
8742 +  DOC=0
8743 + fi
8744  
8745 +
8746 + if test x$DOT = x; then
8747 +        if test "x$enable_dot" = xyes; then
8748 +                { { echo "$as_me:$LINENO: error: could not find dot" >&5
8749 + echo "$as_me: error: could not find dot" >&2;}
8750 +   { (exit 1); exit 1; }; }
8751 +        fi
8752 +        enable_dot=no
8753   else
8754 +        enable_dot=yes
8755 + fi
8756  
7745    echo "$as_me:$LINENO: result: no" >&5
7746 echo "${ECHO_T}no" >&6
8757  
7748 fi;
8758  
8759  
8760  
# Line 7810 | Line 8819 | esac
8819  
8820            ac_config_headers="$ac_config_headers src/config.h"
8821  
8822 <          ac_config_files="$ac_config_files make/Makefile"
8822 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
8823  
8824  
8825   cat >confcache <<\_ACEOF
# Line 8342 | Line 9351 | do
9351    case "$ac_config_target" in
9352    # Handling of arguments.
9353    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9354 <  "utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS utils/getopt.h:utils/gnugetopt.h" ;;
9354 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9355 >  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9356 >  "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
9357 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9358    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9359    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
9360   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8478 | Line 9490 | s,@AR@,$AR,;t t
9490   s,@LEX@,$LEX,;t t
9491   s,@LEXLIB@,$LEXLIB,;t t
9492   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9493 + s,@PERLINTERP@,$PERLINTERP,;t t
9494 + s,@PERL_SHEBANG@,$PERL_SHEBANG,;t t
9495   s,@AR@,$AR,;t t
9496 + s,@PS@,$PS,;t t
9497   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
9498   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
9499   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
9500   s,@MPI_LIB@,$MPI_LIB,;t t
9501   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9502   s,@USE_MPI@,$USE_MPI,;t t
9503 < s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9504 < s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9505 < s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9506 < s,@USE_SPRNG@,$USE_SPRNG,;t t
9507 < s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9508 < s,@MKL_LIB@,$MKL_LIB,;t t
9509 < s,@MKL_INC@,$MKL_INC,;t t
9510 < s,@HAVE_MKL@,$HAVE_MKL,;t t
9503 > s,@CXXCPP@,$CXXCPP,;t t
9504 > s,@USE_CGAL@,$USE_CGAL,;t t
9505 > s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9506 > s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9507 > s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9508 > s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9509 > s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9510 > s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9511 > s,@DOXYGEN@,$DOXYGEN,;t t
9512 > s,@DOT@,$DOT,;t t
9513 > s,@DOC@,$DOC,;t t
9514 > s,@enable_dot@,$enable_dot,;t t
9515 > s,@enable_html_docs@,$enable_html_docs,;t t
9516 > s,@enable_latex_docs@,$enable_latex_docs,;t t
9517   s,@BATEXT@,$BATEXT,;t t
9518   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
9519   s,@OOPSE@,$OOPSE,;t t
# Line 8736 | Line 9757 | done
9757      rm -f $tmp/out
9758    fi
9759  
9760 +  # Run the commands associated with the file.
9761 +  case $ac_file in
9762 +    make/Makefile ) chmod 0755 scripts/* ;;
9763 +    src/utils/Makefile ) chmod 0755 scripts/* ;;
9764 +    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
9765 +    scripts/filepp ) chmod 0755 scripts/* ;;
9766 +  esac
9767   done
9768   _ACEOF
9769   cat >>$CONFIG_STATUS <<\_ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines